package com.persagy.apm.report.detail.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.report.config.rel.detailstatisticsitem.model.vo.ResponseReportDetailStatisticsItemRelListItemVO;
import com.persagy.apm.report.dependencies.saasweb.model.vo.ReportAreaVO;
import com.persagy.apm.report.dependencies.saasweb.model.vo.ReportProjectVO;
import com.persagy.apm.report.detail.business.model.Job;
import com.persagy.apm.report.detail.business.model.Platform;
import com.persagy.apm.report.detail.common.model.vo.CostVO;
import com.persagy.apm.report.detail.common.model.vo.PowerVO;
import com.persagy.apm.report.detail.paragraphvalue.model.vo.ReportParagraphValueItemVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:08:35
 */
@Data
@ApiModel(value = "报告详情返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReportDetailItemVO {
    @ApiModelProperty("段落")
    private List<ParagraphVO> paragraphs;
}
