package com.persagy.apm.report.detail.paragraphvalue.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.report.detail.model.vo.AttrValueVO;
import com.persagy.apm.report.detail.model.vo.GroupVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-07-14 16:59:59
 */
@Data
@ApiModel(value = "报告段落取值返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ParagraphContentVO {
    @ApiModelProperty("分组信息")
    private List<GroupVO> groups;

    @ApiModelProperty("条目信息")
    private List<AttrValueVO> items;
}
