package com.persagy.apm.report.dependencies.workorder.config;

import com.alibaba.fastjson.JSONObject;
import com.persagy.apm.report.dependencies.workorder.model.WorkOrder;
import org.springframework.core.convert.converter.Converter;
import org.springframework.data.convert.WritingConverter;

import java.util.Map;

@WritingConverter
public class WorkorderToMap implements Converter<WorkOrder, Map<String, Object>> {

    @Override
    public Map<String, Object> convert(WorkOrder source) {
        return JSONObject.parseObject(JSONObject.toJSONString(source), Map.class);
    }
}
