package com.persagy.apm.report.detail.hotel.project.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/6/7 2:12 下午
 **/
@Data
@ApiModel("酒店项目环境指标")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HotelProjectEnvKpi {
    @ApiModelProperty(value = "环境指标列表")
    List<HotelProjectKpiItem> envKpiItems;
}
