package com.persagy.apm.report.detail.model.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:08:35
 */
@Data
@ApiModel(value = "属性取值")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AttrValueVO {
    @ApiModelProperty("编码")
    private String code;
    @ApiModelProperty("取值")
    private String value;
    @ApiModelProperty(value = "值类型")
    private String type;
}
